<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- replace.v01.xsl contient une fonction de remplacement pour informations de n'importe quelle balise de CDM-fr v2 -->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ns2="http://cdm-fr.fr/2011/CDM-frSchema"
	exclude-result-prefixes="xsl xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xhtml="http://www.w3.org/1999/xhtml">

  <xsl:template name="string-replace">
    <xsl:param name="str" />
    <xsl:param name="search" />
    <xsl:param name="replace" />
    <xsl:choose>
      <xsl:when test="$search and contains($str, $search)">
	<xsl:value-of select="substring-before($str, $search)" />
	<xsl:value-of select="$replace" />
	<xsl:call-template name="string-replace">
   	  <xsl:with-param name="str" select="substring-after($str, $search)" />
   	  <xsl:with-param name="search" select="$search" />
   	  <xsl:with-param name="replace" select="$replace" />	
	</xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
	<xsl:value-of select="$str" />
      </xsl:otherwise>
    </xsl:choose>
    <!-- Pour l'utiliser, par exemple enlever tous les <br/>:
	 <xsl:variable name="myVar">
	   <xsl:call-template name="string-replace">
	     <xsl:with-param name="str" select="'texte_a_remplacer'" />
	     <xsl:with-param name="search" select="'<br/> 
            <br/>'" />
	     <xsl:with-param name="replace" select="'</p><p>'" />
	   </xsl:call-template>
	 </xsl:variable>
      -->

</xsl:template>	
</xsl:stylesheet>
